Send message (channel resolved from the conversation)
Authorization
ApiKeyAuth Team API key (prefix sk_). Use Authorization: Bearer or X-Api-Key: .
In: header
Path Parameters
Header Parameters
Unique key to safely retry POST requests.
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/api/v1/console/agents/string/conversations/string/messages" \ -H "Content-Type: application/json" \ -d '{ "message": "string" }'{ "message": "Success", "data": { "id": "string", "role": "user", "message": "string", "message_type": "string", "created_at": "2019-08-24T14:15:22Z" }}{ "message": "Resource not found", "error": "Not Found", "code": "not_found", "statusCode": 404, "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"}{ "message": "Resource not found", "error": "Not Found", "code": "not_found", "statusCode": 404, "request_id": "266ea41d-adf5-480b-af50-15b940c2b846"}List messages
Previous Page
Stream messages (Server-Sent Events)
Server-Sent Events (text/event-stream) feed of new messages for a conversation. Authenticate with a `ticket` obtained from POST .../stream-ticket (no API key header here, since EventSource cannot set headers). Supports reconnect/catch-up via the `Last-Event-ID` header (automatically sent by EventSource) or the `?after=` query parameter. Emits `message` events (and periodic `heartbeat` events to keep the connection alive). Each `message` event's SSE `id:` is the chat id and its `data:` JSON matches `StreamMessageEvent`.